<template>
  <div id="shared-video-container">
    <div class="md-layout md-alignment-top-center">
      <div class="md-layout-item md-size-50 md-small-size-100 navbar_brand">
        <img src="../../assets/images/jollygood_sq_logo.png" />
      </div>
    </div>
    <div
      class="md-layout md-alignment-top-center"
      id="guruvr-vr-player-container"
      v-if="isVrPlayer"
    >
      <div class="md-layout-item md-size-50 md-small-size-100">
        <vr-video-player
          :url="videoUrl"
          :imageUrl="imageUrl"
          :videoHeight="500"
          :isKeyEventEnable="true"
        >
        </vr-video-player>
      </div>
    </div>

    <div
      class="md-layout md-alignment-top-center"
      id="guruvr-2d-player-container"
      v-else
    >
      <div class="md-layout-item md-size-50 md-small-size-100">
        <std-video-player
          :videoUrl="hlsVideoUrl"
          v-if="hlsVideoUrl != ''"
        ></std-video-player>
      </div>
    </div>

    <div class="md-layout md-alignment-top-center">
      <div class="md-layout-item md-size-50 md-small-size-100">
        <p class="md-title">{{ name }}</p>
      </div>
    </div>
    <div class="md-layout md-alignment-top-center">
      <div class="md-layout-item md-size-50 md-small-size-100">
        <p v-html="description"></p>
      </div>
    </div>
    <div class="md-layout md-alignment-top-center video_link">
      <div class="md-layout-item md-size-50 md-small-size-100 text-center">
        <md-button
          v-if="isVrPlayer"
          @click="changeUrl"
          class="md-simple md-primary md-theme-demo-light"
          >{{ $t('switch_to_2d_player') }}</md-button
        >

        <md-button
          v-else
          @click="changeUrl"
          class="md-simple md-primary md-theme-demo-light"
          >{{ $t('switch_to_vr_player') }}</md-button
        >
      </div>
    </div>
    <div class="md-layout md-alignment-top-center">
      <div class="md-layout-item md-size-50 md-small-size-100 footer">
        <p class="md-caption">
          ※携帯電話や通信会社の契約内容によっては、通信量が大きくかかる場合があります。Wi-Fi環境下でのご視聴を推奨します。
        </p>
        <p class="text-center">
          <a href="https://jollygood.co.jp" target="blank"
            >Powered by JOLLY GOOD Inc.</a
          >
        </p>
      </div>
    </div>
  </div>
</template>

<script>
import { mapActions } from 'vuex';

export default {
  data() {
    return {
      name: '',
      description: '',
      hlsVideoUrl: '',
      videoUrl: '',
      imageUrl: '',
      shareUrl: '',
      isVrPlayer: false,
    };
  },
  methods: {
    ...mapActions(['fetchSharedVideo']),
    changeUrl() {
      let url = this.shareUrl + (this.isVrPlayer ? '1' : '0');
      let winopen = window.open();
      winopen.opener = null;
      winopen.location = url;
    },
  },
  mounted() {
    this.isVrPlayer =
      this.$route.query.std_player == undefined ||
      this.$route.query.std_player == '0';

    const params = {
      id: this.$route.params.id,
      ...this.$route.query,
    };

    this.fetchSharedVideo(params)
      .then((e) => {
        this.name = e.data.name;
        this.description = e.data.description;
        this.hlsVideoUrl = e.data.hls_video_url;
        this.videoUrl = e.data.default_video_url;
        this.imageUrl = e.data.default_image_url;
        this.shareUrl = e.data.share_url;
        document.title = this.name;
      })
      .catch((e) => {
        this.$router.push({ name: 'status_404' });
      });
  },
};
</script>

<style scoped>
#shared-video-container {
  margin: 0;
  padding-top: 40px;
  padding-bottom: 10px;
  background-color: #eee !important;
}
.navbar_brand img {
  width: 60px;
  height: 60px;
  fill: #000;
  margin: 20px 10px;
}

.md-layout-item {
  background: white !important;
}

.md-layout-item iframe {
  height: 500px !important;
}

.footer {
  background: none !important;
}

.md-caption {
  color: #3c4858;
}

.text-center {
  text-align: center;
}

.video_link {
  margin-bottom: 10px;
}
</style>
<style>
body {
  background-color: #eee !important;
}
#shared-video-container .md-button-content {
  font-size: 12px;
  font-weight: inherit;
}
</style>